const express = require("express");
const User = require("./models/User");

const router = express.Router();

const createRouter = () => {
    router.get("/", async (req, res) => {
        res.send(await User.find());
    });
    router.post("/", async (req, res) => {
        try {
            const user = new User(req.body);
            user.generateToken();
            await user.save();
            res.send(user);
        } catch(e) {
            res.status(400).send(e);
        }
    });

    router.post("/sessions", async (req, res) => {
        const error = "Username or password are wrong";
        const user = await User.findOne({username: req.body.username});
        if (!user) {
            return res.status(400).send({error});
        }
        const isMatch = await user.checkPassword(req.body.password);
        if (!isMatch) {
            return res.status(400).send({error});
        }
        user.generateToken();

        await user.save();
        res.send(user);
    });

    return router;
};

module.exports = createRouter;